Last Comment Bug 748090 - pop3 filters that move new message to imap folders mostly won't work
: pop3 filters that move new message to imap folders mostly won't work
Status: RESOLVED FIXED
[fixed in 12.0.1]
: regression
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 15.0
Assigned To: David :Bienvenu
:
Mentors:
Depends on:
Blocks: 402392
  Show dependency treegraph
 
Reported: 2012-04-23 13:20 PDT by David :Bienvenu
Modified: 2014-02-28 04:43 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
proposed fix (1.86 KB, patch)
2012-04-23 19:00 PDT, David :Bienvenu
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑release+
Details | Diff | Splinter Review

Description David :Bienvenu 2012-04-23 13:20:48 PDT
pop3 incoming mail filters that move messages to imap folders mostly won't work. This is a regression from the pluggable store work. Prior to pluggable stores, we used a single new mail parser for all the messages in a pop3 download session. The moves to imap folders were coalesced by a imap move coalescer owned by the parser. Now, we use one new mail parser per message, which means the imap move coalescing doesn't work, except if the filter happens to apply to the last message downloaded in a download session.
Comment 1 David :Bienvenu 2012-04-23 13:28:30 PDT
The relnote would be

pop3 filters that move/copy incoming messages to imap folders will not work, for the most part, except for the last message downloaded in get new mail operation. For this reason, it is probably best to disable such filters until this bug is fixed. Filters that are run manually should work.
Comment 2 David :Bienvenu 2012-04-23 13:47:43 PDT
sadly, there's no way to do an automated test for this, so we'd have to fallback onto a litmus test.
Comment 3 Wayne Mery (:wsmwk, NI for questions) 2012-04-23 18:35:10 PDT
should this not block bug 402392, rather than be blocked by bug 402392?
Comment 4 David :Bienvenu 2012-04-23 18:59:21 PDT
(In reply to Wayne Mery (:wsmwk) from comment #3)
> should this not block bug 402392, rather than be blocked by bug 402392?

yeah, sorry, forgot to switch that.
Comment 5 David :Bienvenu 2012-04-23 19:00:57 PDT
Created attachment 617740 [details] [diff] [review]
proposed fix

This should fix it...
Comment 6 David :Bienvenu 2012-04-24 07:05:11 PDT
Comment on attachment 617740 [details] [diff] [review]
proposed fix

this makes pop3 to imap filters work for me, and xpcshell tests all still pass.
Comment 7 Mark Banner (:standard8) 2012-04-28 06:58:07 PDT
Comment on attachment 617740 [details] [diff] [review]
proposed fix

[Triage Comment]
a=me for landing regression fix on branches.
Comment 9 Mark Banner (:standard8) 2012-06-20 03:16:55 PDT
We relnoted this for 12.0 and its fixed in 12.0.1 & later so no need for relnote anymore.

Note You need to log in before you can comment on or make changes to this bug.